Package ru.bitel.oss.kernel.entity.server.bean

# Class EntityAttrDaoSupport

java.lang.Object
ru.bitel.oss.kernel.entity.server.bean.EntityAttrDaoSupport

Direct Known Subclasses:
  `InetDeviceEntityAttrDaoSupport`, `InetServEntityAttrDaoSupport`, `InvDeviceEntityAttrDaoSupport`, `TvDeviceEntityAttrDaoSupport`, `VoiceAccountEntityAttrDaoSupport`, `VoiceDeviceEntityAttrDaoSupport`

    public class EntityAttrDaoSupport
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EntityAttrDaoSupport()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `beanIdName()` |
  `java.lang.String` | `defaultValueName()` |
  `java.lang.String` | `idName()` |
  `boolean` | `isHistorySupported()` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrAddressDao` | `newAddressDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrBooleanDao` | `newBooleanDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrContractDao` | `newContractDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrDateDao` | `newDateDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrEmailDao` | `newEmailDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrHouseDao` | `newHouseDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrIntDao` | `newIntDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrListDao` | `newListDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `EntityAttrMultiListDao` | `newMultiListDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrPhoneDao` | `newPhoneDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrTextDao` | `newTextDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)` |
  `java.lang.String` | `typeName()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrDaoSupport

    public EntityAttrDaoSupport()

- ## Method Details

  - ### isHistorySupported

    public boolean isHistorySupported()

  - ### defaultValueName

    public java.lang.String defaultValueName()

  - ### idName

    public java.lang.String idName()

  - ### beanIdName

    public java.lang.String beanIdName()

  - ### typeName

    public java.lang.String typeName()

  - ### newTextDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrTextDao newTextDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newIntDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrIntDao newIntDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newListDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrListDao newListDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newDateDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrDateDao newDateDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newHouseDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrHouseDao newHouseDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newAddressDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrAddressDao newAddressDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newEmailDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrEmailDao newEmailDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newContractDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrContractDao newContractDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newBooleanDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrBooleanDao newBooleanDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newPhoneDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrPhoneDao newPhoneDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newMultiListDao

    public EntityAttrMultiListDao newMultiListDao​(java.sql.Connection con, AbstractEntityAttrDao<?> entityAttrDao)